package model

type MultiLevelPlatform struct {
	MultiLevelPlatformId            int64   `xorm:"not null pk autoincr INT(11)" json:"multiLevelPlatformId"` //
	ProjectId                       int64   `xorm:"INT(11) index" json:"projectId"`                           //项目编号
	MultiLevelPlatformType          int     `xorm:"int default 3" json:"multiLevelPlatformType"`              //多级平台类型 3 三级 5 五级
	X                               float64 `xorm:"decimal(18,6)" json:"x"`                                   //X(m)
	Y                               float64 `xorm:"decimal(18,6)" json:"y"`                                   //Y(m)
	H                               float64 `xorm:"decimal(18,6)" json:"h"`                                   //H(m)
	AccumulativeDisplacementX       float64 `xorm:"decimal(18,6)" json:"accumulativeDisplacementX"`           //累计位移X(mm)
	AccumulativeDisplacementY       float64 `xorm:"decimal(18,6)" json:"accumulativeDisplacementY"`           //累计位移Y(mm)
	AccumulativeDisplacementH       float64 `xorm:"decimal(18,6)" json:"accumulativeDisplacementH"`           //累计位移H(mm)
	IntervalDisplacementX           float64 `xorm:"decimal(18,6)" json:"intervalDisplacementX"`               //间隔位移X(mm)
	IntervalDisplacementY           float64 `xorm:"decimal(18,6)" json:"intervalDisplacementY"`               //间隔位移Y(mm)
	IntervalDisplacementH           float64 `xorm:"decimal(18,6)" json:"intervalDisplacementH"`               //间隔位移H(mm)
	HorizontalResultantDisplacement float64 `xorm:"decimal(18,6)" json:"horizontalResultantDisplacement"`     //水平合位移(mm)
	ResultantDisplacement           float64 `xorm:"decimal(18,6)" json:"resultantDisplacement"`               //合位移(mm)
	CreatedAt                       int64   `xorm:"" json:"createdAt"`                                        //
}
