package model

type ProjectResult struct {
	Id             int64   `xorm:"not null pk autoincr BIGINT" json:"id"`
	ProjectId      int64   `xorm:"INT(11) index" json:"projectId"`      //项目编号
	SourceResultId int64   `xorm:"INT(11) index" json:"sourceResultId"` //识别结果来源编号
	MilepostNumber string  `xorm:"VARCHAR(50)" json:"milepostNumber"`   //里程桩号
	UpDown         string  `xorm:"VARCHAR(20)" json:"upDown"`           //上下行
	LineNum        int     `xorm:"SMALLINT default 1" json:"lineNum"`   //车道号
	DiseaseType    string  `xorm:"VARCHAR(50)" json:"diseaseType"`      //病害类型
	DiseaseLevel   string  `xorm:"VARCHAR(20)" json:"diseaseLevel"`     //病害等级
	Length         float64 `xorm:"decimal(18,6)" json:"length"`         //长度
	Width          float64 `xorm:"decimal(18,6)" json:"width"`          //宽度
	Acreage        float64 `xorm:"decimal(18,6)" json:"acreage"`        //面积
	Memo           string  `xorm:"VARCHAR(1000)" json:"memo"`           //备注说明
	Result         string  `xorm:"LONGTEXT" json:"result"`              //识别结果
	Creator        int64   `xorm:"INT(11) default 0" json:"creator"`
	Modifier       int64   `xorm:"INT(11) default 0" json:"modifier"`
	CreateAt       int64   `xorm:"created" json:"createAt"`
	UpdateAt       int64   `xorm:"updated" json:"updateAt"`
}
